MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
ThreadId Class Reference

A low-level identification for a thread. More...

`#include <Id.hxx>`

## Public Member Functions
| ThreadId ()=default
| No initialisation. More...
constexpr | ThreadId (pthread_t _id)
gcc_pure bool | IsNull () const
gcc_pure bool | operator== (const ThreadId &other) const
bool | IsInside () const
| Check if this thread is the current thread. More...

## Static Public Member Functions
static gcc_const ThreadId | Null ()
static gcc_pure const ThreadId | GetCurrent ()
| Return the current thread's id . More...

## Detailed Description

A low-level identification for a thread.

Designed to work with existing threads, such as the main thread. Mostly useful for debugging code.

Definition at line 36 of file Id.hxx.

## Constructor & Destructor Documentation

ThreadId::ThreadId | ( |  | ) |
| default

No initialisation.

constexpr ThreadId::ThreadId | ( | pthread_t | _id | ) |
| inline

Definition at line 52 of file Id.hxx.

## Member Function Documentation

static gcc_pure const ThreadId ThreadId::GetCurrent | ( |  | ) |
| inline static

Return the current thread's id .

Definition at line 74 of file Id.hxx.

bool ThreadId::IsInside | ( |  | ) | const
| inline

Check if this thread is the current thread.

Definition at line 94 of file Id.hxx.

gcc_pure bool ThreadId::IsNull | ( |  | ) | const
| inline

Definition at line 66 of file Id.hxx.

static gcc_const ThreadId ThreadId::Null | ( |  | ) |
| inline static

Definition at line 56 of file Id.hxx.

gcc_pure bool ThreadId::operator== | ( | const ThreadId & | other | ) | const
| inline

Definition at line 83 of file Id.hxx.

The documentation for this class was generated from the following file:

- thread/Id.hxx